#
# Avaluació de l'AG amb dades de MNIST
# ATENCIÓ: requereix díes d'execuió (~ 2.7 dies)
#

library("genann")

# produir sempre el mateix resultat
set.seed(2016)


mnist_test <- readMNIST("data/mnist_t10k-images-idx3-ubyte.gz", "data/mnist_t10k-labels-idx1-ubyte.gz")
mnist_train <- readMNIST("data/mnist_train-images-idx3-ubyte.gz", "data/mnist_train-labels-idx1-ubyte.gz")

mnistga <- mnist_train[sample(nrow(mnist_train)),]  # desordenar les files aleatoriament

# extreure subconjunts per l'AG (entrenament i validació)
mnistga_train <- mnistga[1:2000,]    # 2000 exemples per entrenament
mnistga_val  <- mnistga[2001:6000,]  # 4000 exemples per validació

mnist_evol <- gann(mnistga_train[1:784], mnistga_train[785:794], mnistga_val[1:784], mnistga_val[785:794],
                   lact="tanh", minhls=80, maxhls=800, maxep=50, maxge=10, npf=0.01/1E7, nef=0.01/1E4)

save(mnist_evol, file="mnist_evol.Rdata")


