#
# Obtenció d'un model de XN per MNIST
# Es basa en els hiperparàmetres trobats previament amb l'AG
#

library("genann")

# produir sempre el mateix resultat
set.seed(2016)

#mnist_test <- readMNIST("data/mnist_t10k-images-idx3-ubyte.gz", "data/mnist_t10k-labels-idx1-ubyte.gz")
mnist_train <- readMNIST("data/mnist_train-images-idx3-ubyte.gz", "data/mnist_train-labels-idx1-ubyte.gz")

# les 3 millors XN retornades per l'AG:
#  fitness       mse       fnp      np       fne     ne | ann config
# 0.043084  0.042339  0.000732  732123  0.000013     13 | tmse=0.011162, lr=0.004395, mo=0.078080, hls=c(288, 596, 328, 407)
# 0.045574  0.044677  0.000886  886009  0.000011     11 | tmse=0.014870, lr=0.004150, mo=0.077134, hls=c(334, 596, 418, 407)
# 0.045852  0.044163  0.001677 1677421  0.000011     11 | tmse=0.014900, lr=0.004303, mo=0.257069, hls=c(766, 472, 709, 526)

# entrenar una XN amb cada configuració
model1 <- ann(mnist_train[1:784], mnist_train[785:794], lact="tanh", maxep=50, tmse=0, printevery=1,
              lr=0.004395, mo=0.078080, hls=c(288, 596, 328, 407) )

model2 <- ann(mnist_train[1:784], mnist_train[785:794], lact="tanh", maxep=50, tmse=0, printevery=1,
              lr=0.004150, mo=0.077134, hls=c(334, 596, 418, 407) )

#model3 <- ann(mnist_train[1:784], mnist_train[785:794], lact="tanh", maxep=50, tmse=0, printevery=1,
#              lr=0.004303, mo=0.257069, hls=c(766, 472, 709, 526) )

#save(model1, model2, model3, file="mnist_models.Rdata")
save(model1, model2, file="mnist_models.Rdata")


