#
# Avaluació de l'AG amb dades de PROBEN1
#

library("genann")
library("xtable")
options(xtable.only.contents = TRUE)  # no inclure l'entorn "tabuar" en la sortida
options(xtable.sanitize.colnames.function = identity)  # no convertir strings
options(xtable.include.rownames = FALSE)

# produir sempre el mateix resultat
set.seed(2016)


evolresults <- NULL
annresults <- NULL

pdf(sprintf("report/gann_test_proben1.pdf"), width=7, height=10)
par(mfrow=c(5, 3), mar=c(3, 3, 1, 1), mgp=c(2, 0.7, 0), bty="n")

gann_report("building1", building1_train, building1_val, building1_test, 1:14, 15:17, "sigmoid")
gann_report("building2", building2_train, building2_val, building2_test, 1:14, 15:17, "sigmoid")
gann_report("building3", building3_train, building3_val, building3_test, 1:14, 15:17, "sigmoid")

gann_report("flare1", flare1_train, flare1_val, flare1_test, 1:24, 25:27, "sigmoid")
gann_report("flare2", flare2_train, flare2_val, flare2_test, 1:24, 25:27, "sigmoid")
gann_report("flare3", flare3_train, flare3_val, flare3_test, 1:24, 25:27, "sigmoid")

gann_report("card1", card1_train, card1_val, card1_test, 1:51, 52:53, "sigmoid")
gann_report("card2", card2_train, card2_val, card2_test, 1:51, 52:53, "sigmoid")
gann_report("card3", card3_train, card3_val, card3_test, 1:51, 52:53, "sigmoid")

gann_report("heart1", heart1_train, heart1_val, heart1_test, 1:35, 36:37, "sigmoid")
gann_report("heart2", heart2_train, heart2_val, heart2_test, 1:35, 36:37, "sigmoid")
gann_report("heart3", heart3_train, heart3_val, heart3_test, 1:35, 36:37, "sigmoid")

gann_report("thyroid1", thyroid1_train, thyroid1_val, thyroid1_test, 1:21, 22:24, "sigmoid")
gann_report("thyroid2", thyroid2_train, thyroid2_val, thyroid2_test, 1:21, 22:24, "sigmoid")
gann_report("thyroid3", thyroid3_train, thyroid3_val, thyroid3_test, 1:21, 22:24, "sigmoid")

dev.off()

print(evolresults)
print(annresults)

evolresults <- as.data.frame(evolresults)
colnames(evolresults) <- c("dataset", "neurones ocultes", "topologia", "$\\lambda$", "$\\mu$", "tmse")
print(xtable(evolresults, digits=c(0, 0, 0,0,3,3,6)), file="report/gann_test_proben1_evol.tex")

annresults <- as.data.frame(annresults)
colnames(annresults) <- c("dataset", "$\\bar x$", "$s$", "$\\bar x$", "$s$", "$\\bar x$", "$s$", "$\\bar x$", "$s$")
print(xtable(annresults, digits=c(0, 0, 3,3, 3,3, 3,3, 0,0)), file="report/gann_test_proben1_ann.tex")


