#
# Avaluació de l'AG amb funcions lògiques
#

library("genann")
library("xtable")
options(xtable.only.contents = TRUE)  # no inclure l'entorn "tabuar" en la sortida
options(xtable.sanitize.colnames.function = identity)  # no convertir strings
options(xtable.include.rownames = FALSE)

# produir sempre el mateix resultat
set.seed(2016)


evolresults <- NULL
annresults <- NULL

pdf(sprintf("report/gann_test_synthlogic.pdf"), width=9, height=3)
par(mfrow=c(1, 2), mar=c(3, 3, 1, 1), mgp=c(2, 0.7, 0), bty="n")

# OBS: l'objectiu d'aquesta prova és reduir la mida de la XN en comptes de minimitzar l'EQM,

gann_report("and", andfunc, andfunc, andfunc, 1:2, 3, "sigmoid", npf=0.01/1E2)
gann_report("xor", xorfunc, xorfunc, xorfunc, 1:2, 3, "sigmoid", npf=0.01/1E2)

dev.off()

print(evolresults)
print(annresults)

evolresults <- as.data.frame(evolresults)
colnames(evolresults) <- c("dataset", "neurones ocultes", "topologia", "$\\lambda$", "$\\mu$", "tmse")
print(xtable(evolresults, digits=c(0, 0, 0,0,3,3,6)), file="report/gann_test_synthlogic_evol.tex")

annresults <- as.data.frame(annresults)
colnames(annresults) <- c("dataset", "$\\bar x$", "$s$", "$\\bar x$", "$s$", "$\\bar x$", "$s$", "$\\bar x$", "$s$")
print(xtable(annresults, digits=c(0, 0, 3,3, 3,3, 3,3, 0,0)), file="report/gann_test_synthlogic_ann.tex")


