#
# Avaluació de l'AG amb dades sintètiques de funcions matemàtiques
#

library("genann")
library("xtable")
options(xtable.only.contents = TRUE)  # no inclure l'entorn "tabuar" en la sortida
options(xtable.sanitize.colnames.function = identity)  # no convertir strings
options(xtable.include.rownames = FALSE)

# produir sempre el mateix resultat
set.seed(2016)


evolresults <- NULL
annresults <- NULL

pdf(sprintf("report/gann_test_synthmath.pdf"), width=7, height=2)
par(mfrow=c(1, 3), mar=c(3, 3, 1, 1), mgp=c(2, 0.7, 0), bty="n")

# OBS: En aquesta prova, interessa reduir la mida de la XN

gann_report("sinfunc",   sinfunc_train,   sinfunc_val,   sinfunc_test,   1, 2, "tanh", stophs=5, npf=0.01/500)
gann_report("discfunc",  discfunc_train,  discfunc_val,  discfunc_test,  1, 2, "tanh", stophs=5, npf=0.01/500)
gann_report("noisefunc", noisefunc_train, noisefunc_val, noisefunc_test, 1, 2, "tanh", stophs=5, npf=0.01/500)

dev.off()

print(evolresults)
print(annresults)

evolresults <- as.data.frame(evolresults)
colnames(evolresults) <- c("dataset", "neurones ocultes", "topologia", "$\\lambda$", "$\\mu$", "tmse")
print(xtable(evolresults, digits=c(0, 0, 0,0,3,3,6)), file="report/gann_test_synthmath_evol.tex")

annresults <- as.data.frame(annresults)
colnames(annresults) <- c("dataset", "$\\bar x$", "$s$", "$\\bar x$", "$s$", "$\\bar x$", "$s$", "$\\bar x$", "$s$")
print(xtable(annresults, digits=c(0, 0, 3,3, 3,3, 3,3, 0,0)), file="report/gann_test_synthmath_ann.tex")


