#! /bin/bash
#
# Executar els scripts per generar observacions per a ganntunning
# ATENCIÓ: l'execució d'alguns scripts pot durar hores
#

Rscript --no-restore --save load_workspace.R

##### executar en paral·lel les diferents combinacions de paràmetres per al tunning de l'AG

# paràmetres base
#R --restore --no-save -e "library(genann); ganntunning_sample()" > out/ganntunning_base.txt 2>&1 &

# variant offspring
#R --restore --no-save -e "library(genann); ganntunning_sample(of=8)" >  out/ganntunning_of8.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(of=32)" > out/ganntunning_of32.txt 2>&1 &

# variant elitisme
#R --restore --no-save -e "library(genann); ganntunning_sample(el=1)" > out/ganntunning_el1.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(el=9)" > out/ganntunning_el9.txt 2>&1 &

# variant pressió de selecció
#R --restore --no-save -e "library(genann); ganntunning_sample(sb=2)" > out/ganntunning_sb2.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(sb=8)" > out/ganntunning_sb8.txt 2>&1 &

# variant probabilitat de creuament
#R --restore --no-save -e "library(genann); ganntunning_sample(cp=0.90)" > out/ganntunning_cp0.90.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(cp=0.99)" > out/ganntunning_cp0.99.txt 2>&1 &

# variant probabilitat de mutació
#R --restore --no-save -e "library(genann); ganntunning_sample(mp=0.01)" > out/ganntunning_mp0.01.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(mp=0.10)" > out/ganntunning_mp0.10.txt 2>&1 &

# variacions addicionals:
#R --restore --no-save -e "library(genann); ganntunning_sample(of=24,el=2,sb=6,cp=0.99,mp=0.07)" > out/ganntunning_var1.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(of=24,el=2,sb=8,cp=0.99,mp=0.07)" > out/ganntunning_var2.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(of=24,el=2,sb=6,cp=0.99,mp=0.05)" > out/ganntunning_var3.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(of=24,el=2,sb=6,cp=0.99,mp=0.09)" > out/ganntunning_var4.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(of=24,el=3,sb=6,cp=0.99,mp=0.07)" > out/ganntunning_var5.txt 2>&1 &
#R --restore --no-save -e "library(genann); ganntunning_sample(of=24,el=5,sb=6,cp=0.99,mp=0.07)" > out/ganntunning_var6.txt 2>&1 &


#wait $(jobs -p)  # esperar que acabin els processos paral·lels

#Rscript --restore --no-save gann_tunning_report.R


