#
# Script que genera els gràfics de resultats de la demo de la presentació
#

library("genann")

load("datapr_results.Rdata")


# generar els gràfics per la presentació
pdf("report/demopr_data.pdf", width=5, height=5)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
plot(data$x, data$y, ylim=c(-2, 2), col=rgb(0,0,0,0.2), pch=16, main="Dades", xlab="x", ylab="y", panel.first=grid(col="grey"))
dev.off()

pdf("report/demopr_fitted.pdf", width=5, height=5)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
plot(data_test$x, fitted, ylim=c(-2, 2), col=rgb(0,0,0,0.3), pch=16, main="Prediccions", xlab="x noves", ylab="prediccions", panel.first=grid(col="grey"))
dev.off()

pdf("report/demopr_fitted_and_source.pdf", width=5, height=5)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
plot(data_test$x, fitted, ylim=c(-2, 2), col=rgb(0,0,0,0.3), pch=16, main="Prediccions", xlab="x noves", ylab="prediccions", panel.first=grid(col="grey"))
lines(data_source$x, data_source$y, col="red", lwd=3)
dev.off()

pdf("report/demopr_residuals.pdf", width=4, height=4)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
plot(data_test$x, errors, ylim=c(-2, 2), col=rgb(0,0,0,0.3), pch=16, main="Residus vs x", xlab="x", ylab="error de predicció")
abline(0, 0)
dev.off()

pdf("report/demopr_residuals_hist.pdf", width=4, height=4)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
hist(errors, main="Histograma dels residus", xlab="error de predicció", ylab="freqüència")
dev.off()

pdf("report/demopr_nnplot.pdf", width=4, height=4)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
plot(model, main="Xarxa neural", xlab="capa", ylab="neurona")
dev.off()

pdf("report/demopr_evol_tsplot.pdf", width=4, height=4)
par(mar=c(3, 3, 2, 1), mgp=c(2, 0.7, 0), bty="n")
plot(evol, main="Evolució de l'AG", xlab="generació", ylab="fitness")
dev.off()


