#
# Extreure uns quants dígits de MNIST de mostra per a la memòria
#

library("genann")


mnistimg <- gzfile("data/mnist_train-images-idx3-ubyte.gz", "rb")
mnistlbl <- gzfile("data/mnist_train-labels-idx1-ubyte.gz", "rb")
readBin(mnistimg, integer(), n=4, endian="big")
readBin(mnistlbl, integer(), n=2, endian="big")

pdf(sprintf("report/gann_test_mnist_digits.pdf"), width=12, height=3.5)
par(mfrow=c(4, 16), mar=c(0.5, 0.5, 1.5, 0.5))

for(i in 1:(4*16))
{
    m <- matrix(readBin(mnistimg, integer(), size=1, n=28*28, endian="big", signed=FALSE), 28, 28)
    m <- 255 - m
    l <- readBin(mnistlbl, integer(), size=1, n=1, endian="big")
    image(m[,28:1], col=gray(0:255 / 255), main=sprintf("label = %s", l), xaxt="n", yaxt="n")
}

dev.off()

close(mnistlbl)
close(mnistimg)


